Blog
Access blog posts, categories, and tags programmatically.
GET
/api/v1/knowledge/blog/postsReturns a list of published blog posts. Supports filtering by category, tag, and featured status.
Query Parameters
categorystringoptionalFilter by category slug.
tagstringoptionalFilter by tag.
featuredbooleanoptionalSet to "true" to return only featured posts.
Response
200 OKGET/api/v1/knowledge/blog/posts
curl -X GET "https://api.gilito.ai/api/v1/knowledge/blog/posts?category={category}&tag={tag}&featured={featured}" \
-H "Authorization: Bearer YOUR_API_KEY"Try It
Example Response
{
"data": [
{
"id": "post1-...",
"title": "Understanding RSI in Quantitative Trading",
"slug": "understanding-rsi-quantitative-trading",
"excerpt": "The Relative Strength Index is one of the most...",
"category": "technical-analysis",
"tags": ["rsi", "indicators", "beginner"],
"featured": true,
"publishedAt": "2026-03-15T10:00:00.000Z"
},
...
]
}GET
/api/v1/knowledge/blog/posts/:slugReturns a single blog post by its URL slug, including full content.
Path Parameters
slugstringrequiredThe post slug.
Response
200 OKGET/api/v1/knowledge/blog/posts/:slug
curl -X GET "https://api.gilito.ai/api/v1/knowledge/blog/posts/{slug}" \
-H "Authorization: Bearer YOUR_API_KEY"Try It
Example Response
{
"data": {
"id": "post1-...",
"title": "Understanding RSI in Quantitative Trading",
"slug": "understanding-rsi-quantitative-trading",
"content": "# Understanding RSI\n\nThe Relative Strength Index...",
"category": "technical-analysis",
"tags": ["rsi", "indicators", "beginner"],
"featured": true,
"publishedAt": "2026-03-15T10:00:00.000Z"
}
}GET
/api/v1/knowledge/blog/categoriesReturns all blog categories.
Response
200 OKGET/api/v1/knowledge/blog/categories
curl -X GET "https://api.gilito.ai/api/v1/knowledge/blog/categories" \
-H "Authorization: Bearer YOUR_API_KEY"Try It
Example Response
{
"data": [
{
"id": "cat1-...",
"name": "Technical Analysis",
"slug": "technical-analysis",
"postCount": 12
},
...
]
}